crashpad::SanitizationInformation Struct Reference

Struture containing information about how snapshots should be sanitized. More...

`#include "snapshot/sanitized/sanitization_information.h"`

## Public Attributes

VMAddress | annotations_whitelist_address
| The address in the client process' address space of a nullptr terminated array of NUL-terminated strings. The string values are the names of whitelisted annotations. This value is 0 if there is no whitelist and all annotations are allowed.
VMAddress | target_module_address
| An address in the client process' address space within a module to target. When a target module is used, crash dumps are discarded unless the crashing thread's program counter or pointer-aligned values on the crashing thread's stack point into the target module. This value is 0 if there is no target module.
uint8_t | sanitize_stacks
| Non-zero if stacks should be sanitized for possible PII.

## Detailed Description

Struture containing information about how snapshots should be sanitized.

See also
  ProcessSnapshotSanitized

The documentation for this struct was generated from the following file:

- snapshot/sanitized/sanitization_information.h